#
#       Makefile for uzpack
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uzpack
LIBFSRCS	= uziget.f uziqnp.f uzlget.f uzlqnp.f uzrget.f uzrqnp.f \
		  uzcget.f uzcqnp.f uzpget.f uzpqnp.f uzinit.f uzfact.f \
		  uzpsav.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uziget.o uziqnp.o uzlget.o uzlqnp.o uzrget.o uzrqnp.o \
		  uzcget.o uzcqnp.o uzpget.o uzpqnp.o uzinit.o uzfact.o \
		  uzpsav.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
